Bug 595579 - (CVE-2010-1641) CVE-2010-1641 kernel: GFS2: The setflags ioctl() doesn't check file ownership
CVE-2010-1641 kernel: GFS2: The setflags ioctl() doesn't check file ownership
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100524,reported=20100524,sou...
: Security
Depends On: 595395 595399 595580
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 00:31 EDT by Eugene Teo (Security Response)
Modified: 2015-07-31 07:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 03:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-05-25 00:31:27 EDT
Description of problem:
We should be checking for the ownership of the file for which flags are being set, rather than just for write access.

Upstream commit:
http://git.kernel.org/linus/7df0e0397b9a18358573274db9fdab991941062f

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for responsibly reporting this issue.

Statement:

Red Hat is aware of this issue and is tracking it via the following bug:
https://bugzilla.redhat.com/CVE-2010-1641.

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4 and Red Hat Enterprise MRG as they did not include
support for the GFS2 file system.

A future kernel update in Red Hat Enterprise Linux 5 will address this issue.
Comment 4 errata-xmlrpc 2010-07-01 14:28:11 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0504 https://rhn.redhat.com/errata/RHSA-2010-0504.html

Note You need to log in before you can comment on or make changes to this bug.